This is the mail archive of the glibc-cvs@sourceware.org mailing list for the glibc project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

GNU C Library master sources branch master updated. glibc-2.22-38-gd6d20de


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  d6d20de8b7ff6da6f3d29c5edb0ae3070f997f30 (commit)
       via  2c61c19f80e21743ef36bc53597ba893d4836dfc (commit)
      from  ef086ef8baada5bd485f3f21dde1c9bc10bd6bd5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://sourceware.org/git/gitweb.cgi?p=glibc.git;a=commitdiff;h=d6d20de8b7ff6da6f3d29c5edb0ae3070f997f30

commit d6d20de8b7ff6da6f3d29c5edb0ae3070f997f30
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Thu Aug 6 04:14:56 2015 -0400

    gawk: fix gensub usage
    
    The third arg can either be a string with "g" or "G", or it is a number.
    The empty string elicits a warning with newer versions like so:
    gawk: scripts/sysd-rules.awk:56: warning: gensub: third argument `' treated as 1

diff --git a/ChangeLog b/ChangeLog
index b98894d..38d8d1b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,10 @@
 2015-08-09  Mike Frysinger  <vapier@gentoo.org>
 
+	* nptl/tst-cancel-wrappers.sh: Change 3rd arg to gensub to 1.
+	* scripts/sysd-rules.awk: Likewise.
+
+2015-08-09  Mike Frysinger  <vapier@gentoo.org>
+
 	* iconvdata/tst-tables.sh: Change echo -n to printf.
 	* nss/db-Makefile: Likewise.
 	* posix/tst-getconf.sh: Likewise.
diff --git a/nptl/tst-cancel-wrappers.sh b/nptl/tst-cancel-wrappers.sh
index b2d8302..d492a54 100644
--- a/nptl/tst-cancel-wrappers.sh
+++ b/nptl/tst-cancel-wrappers.sh
@@ -74,7 +74,7 @@ C["__xpg_sigpause"]=1
   seen=""
   seen_enable=""
   seen_disable=""
-  object=gensub(/^.*\[(.*)\]:$/,"\\1","",$0)
+  object=gensub(/^.*\[(.*)\]:$/, "\\1", 1, $0)
   next
 }
 {
diff --git a/scripts/sysd-rules.awk b/scripts/sysd-rules.awk
index cc14334..cebc9d3 100644
--- a/scripts/sysd-rules.awk
+++ b/scripts/sysd-rules.awk
@@ -53,7 +53,7 @@ BEGIN {
         if (target_pattern == "%") {
           command_suffix = "";
         } else {
-          prefix = gensub(/%/, "", "", target_pattern);
+          prefix = gensub(/%/, "", 1, target_pattern);
           command_suffix = " $(" prefix  "CPPFLAGS)";
         }
         target = "$(objpfx)" target_pattern o ":";

http://sourceware.org/git/gitweb.cgi?p=glibc.git;a=commitdiff;h=2c61c19f80e21743ef36bc53597ba893d4836dfc

commit 2c61c19f80e21743ef36bc53597ba893d4836dfc
Author: Mike Frysinger <vapier@gentoo.org>
Date:   Thu Aug 6 04:14:20 2015 -0400

    fix non-portable `echo -n` usage
    
    These scripts use #!/bin/sh explicitly, so make sure they avoid echo -n
    as different shells treat it differently.  Use the portable printf func
    instead.

diff --git a/ChangeLog b/ChangeLog
index 7b14475..b98894d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,12 @@
 2015-08-09  Mike Frysinger  <vapier@gentoo.org>
 
+	* iconvdata/tst-tables.sh: Change echo -n to printf.
+	* nss/db-Makefile: Likewise.
+	* posix/tst-getconf.sh: Likewise.
+	* stdio-common/tst-unbputc.sh: Likewise.
+
+2015-08-09  Mike Frysinger  <vapier@gentoo.org>
+
 	* sysdeps/unix/sysv/linux/hppa/bits/mman.h [__USE_MISC]: Move all
 	MADV_*_PAGES defines behind this feature check.
 
diff --git a/iconvdata/tst-tables.sh b/iconvdata/tst-tables.sh
index 73d9400..cd81a7f 100755
--- a/iconvdata/tst-tables.sh
+++ b/iconvdata/tst-tables.sh
@@ -261,7 +261,7 @@ EOF
 while read charset charmap; do
   if test "$charset" = GB18030; then echo "This might take a while" 1>&2; fi
   case ${charset} in \#*) continue;; esac
-  echo -n "Testing ${charset}" 1>&2
+  printf %s "Testing ${charset}" 1>&2
   if ./tst-table.sh ${common_objpfx} ${objpfx} "${test_program_prefix}" \
       ${charset} ${charmap} < /dev/null; then
     echo 1>&2
diff --git a/nss/db-Makefile b/nss/db-Makefile
index fc62344..f35bfb0 100644
--- a/nss/db-Makefile
+++ b/nss/db-Makefile
@@ -31,7 +31,7 @@ all: $(patsubst %,$(VAR_DB)/%.db,$(notdir $(DATABASES)))
 
 
 $(VAR_DB)/passwd.db: /etc/passwd
-	@echo -n "$(patsubst %.db,%,$(@F))... "
+	@printf %s "$(patsubst %.db,%,$(@F))... "
 	@$(AWK) 'BEGIN { FS=":"; OFS=":" } \
 		 /^[ \t]*$$/ { next } \
 		 /^[ \t]*#/ { next } \
@@ -41,7 +41,7 @@ $(VAR_DB)/passwd.db: /etc/passwd
 	@echo "done."
 
 $(VAR_DB)/group.db: /etc/group
-	@echo -n "$(patsubst %.db,%,$(@F))... "
+	@printf %s "$(patsubst %.db,%,$(@F))... "
 	@$(AWK) 'BEGIN { FS=":"; OFS=":" } \
 		 /^[ \t]*$$/ { next } \
 		 /^[ \t]*#/ { next } \
@@ -63,7 +63,7 @@ $(VAR_DB)/group.db: /etc/group
 	@echo "done."
 
 $(VAR_DB)/ethers.db: /etc/ethers
-	@echo -n "$(patsubst %.db,%,$(@F))... "
+	@printf %s "$(patsubst %.db,%,$(@F))... "
 	@$(AWK) '/^[ \t]*$$/ { next } \
 		 /^[ \t]*#/ { next } \
 		 /^[^#]/ { printf ".%s ", $$1; print; \
@@ -72,7 +72,7 @@ $(VAR_DB)/ethers.db: /etc/ethers
 	@echo "done."
 
 $(VAR_DB)/protocols.db: /etc/protocols
-	@echo -n "$(patsubst %.db,%,$(@F))... "
+	@printf %s "$(patsubst %.db,%,$(@F))... "
 	@$(AWK) '/^[ \t]*$$/ { next } \
 		 /^[ \t]*#/ { next } \
 		 /^[^#]/ { printf ".%s ", $$1; print; \
@@ -83,7 +83,7 @@ $(VAR_DB)/protocols.db: /etc/protocols
 	@echo "done."
 
 $(VAR_DB)/rpc.db: /etc/rpc
-	@echo -n "$(patsubst %.db,%,$(@F))... "
+	@printf %s "$(patsubst %.db,%,$(@F))... "
 	@$(AWK) '/^[ \t]*$$/ { next } \
 		 /^[ \t]*#/ { next } \
 		 /^[^#]/ { printf ".%s ", $$1; print; \
@@ -94,7 +94,7 @@ $(VAR_DB)/rpc.db: /etc/rpc
 	@echo "done."
 
 $(VAR_DB)/services.db: /etc/services
-	@echo -n "$(patsubst %.db,%,$(@F))... "
+	@printf %s "$(patsubst %.db,%,$(@F))... "
 	@$(AWK) 'BEGIN { FS="[ \t/]+" } \
 		 /^[ \t]*$$/ { next } \
 		 /^[ \t]*#/ { next } \
@@ -110,7 +110,7 @@ $(VAR_DB)/services.db: /etc/services
 	@echo "done."
 
 $(VAR_DB)/shadow.db: /etc/shadow
-	@echo -n "$(patsubst %.db,%,$(@F))... "
+	@printf %s "$(patsubst %.db,%,$(@F))... "
 	@$(AWK) 'BEGIN { FS=":"; OFS=":" } \
 		 /^[ \t]*$$/ { next } \
 		 /^[ \t]*#/ { next } \
@@ -130,7 +130,7 @@ $(VAR_DB)/shadow.db: /etc/shadow
 	fi
 
 $(VAR_DB)/gshadow.db: /etc/gshadow
-	@echo -n "$(patsubst %.db,%,$(@F))... "
+	@printf %s "$(patsubst %.db,%,$(@F))... "
 	@$(AWK) 'BEGIN { FS=":"; OFS=":" } \
 		 /^[ \t]*$$/ { next } \
 		 /^[ \t]*#/ { next } \
@@ -150,7 +150,7 @@ $(VAR_DB)/gshadow.db: /etc/gshadow
 	fi
 
 $(VAR_DB)/netgroup.db: /etc/netgroup
-	@echo -n "$(patsubst %.db,%,$(@F))... "
+	@printf %s "$(patsubst %.db,%,$(@F))... "
 	@$(AWK) 'BEGIN { ini=1 } \
 		 /^[ \t]*$$/ { next } \
 		 /^[ \t]*#/ { next } \
diff --git a/posix/tst-getconf.sh b/posix/tst-getconf.sh
index f804457..e0582a7 100644
--- a/posix/tst-getconf.sh
+++ b/posix/tst-getconf.sh
@@ -27,7 +27,7 @@ logfile=$common_objpfx/posix/tst-getconf.out
 rm -f $logfile
 result=0
 while read name; do
-  echo -n "getconf $name: " >> $logfile
+  printf %s "getconf $name: " >> $logfile
   ${run_getconf} "$name" < /dev/null 2>> $logfile >> $logfile
   if test $? -ne 0; then
     echo "*** $name FAILED" >> $logfile
@@ -205,7 +205,7 @@ XBS5_LPBIG_OFFBIG_LINTFLAGS
 EOF
 
 while read name; do
-  echo -n "getconf $name /: " >> $logfile
+  printf %s "getconf $name /: " >> $logfile
   ${run_getconf} "$name" / < /dev/null 2>> $logfile >> $logfile
   if test $? -ne 0; then
     echo "*** $name FAILED" >> $logfile
diff --git a/stdio-common/tst-unbputc.sh b/stdio-common/tst-unbputc.sh
index 3e991f2..706c9ea 100755
--- a/stdio-common/tst-unbputc.sh
+++ b/stdio-common/tst-unbputc.sh
@@ -28,6 +28,6 @@ ${test_program_prefix} \
   ${common_objpfx}stdio-common/tst-unbputc \
     2> ${common_objpfx}stdio-common/tst-unbputc.out || status=1
 
-(echo -n 12 | cmp ${common_objpfx}stdio-common/tst-unbputc.out -) || status=1
+(printf 12 | cmp ${common_objpfx}stdio-common/tst-unbputc.out -) || status=1
 
 exit $status

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                   |   12 ++++++++++++
 iconvdata/tst-tables.sh     |    2 +-
 nptl/tst-cancel-wrappers.sh |    2 +-
 nss/db-Makefile             |   18 +++++++++---------
 posix/tst-getconf.sh        |    4 ++--
 scripts/sysd-rules.awk      |    2 +-
 stdio-common/tst-unbputc.sh |    2 +-
 7 files changed, 27 insertions(+), 15 deletions(-)


hooks/post-receive
-- 
GNU C Library master sources


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]